package com.yeejoin.amos.boot.module.hygf.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;


@Getter
@AllArgsConstructor
public enum FinancingAuditEnum {

    待融资审核("FinancingAudit","待融资审核","/hygf/drzsh"),
    审核不通过("AuditReject","审核不通过","/hygf/zgdts"),
    待整改("WaitAbarbeitung","重新验收","/hygf/dzg"),
    整改待推送("AbarbeitungWaitPush","审核不通过","/hygf/shym"),
    审核通过("AuditPass","审核通过","/hygf/fkym"),
    放款完成("complete","放款完成","");


    private String code;
    private String name;
    //路由r
    private  String routing;
    /**
     * 编码
     */

    public static String  getNameByCode(String code){
        String name = null;

          for (FinancingAuditEnum value : FinancingAuditEnum.values()) {
              if (value.getCode().equals(code)){
                  name= value.getName();
              }
          }
          return name;
        }

        public static String  getNodeByCode(String code){
        String rout = null;

          for (FinancingAuditEnum value : FinancingAuditEnum.values()) {
              if (value.getCode().equals(code)){
                  rout= value.getRouting();
              }
          }
          return rout;
        }


}
